package com.hzya.frame.sys.templateRelation.dao;

import com.hzya.frame.sys.templateRelation.entity.TemplateRelation;
import java.util.List;

/**
 * @description: 模版关系表  dao
 * @tableName: sys_template_relation 
 * @entityName: TemplateRelation
 * @author: gjh
 * @history: 1.0
 */
public interface ITemplateRelationMapper {

        //通过ID获取数据    entity_get
        TemplateRelation entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<TemplateRelation> entity_list_base(TemplateRelation entity);

        //  查询符合条件的数量
        Integer entity_count(TemplateRelation entity);

        //分页查询列表 采用like格式 entity_list_like
        List<TemplateRelation> entity_list_like(TemplateRelation entity);

        //查询列表 字段采用or格式   entity_list_or
        List<TemplateRelation> entity_list_or(TemplateRelation entity);

        //新增  entity_insert
        Integer entity_insert(TemplateRelation entity);

        //修改  entity_update
        Integer entity_update(TemplateRelation entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(TemplateRelation entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(TemplateRelation entity);

        //物理删除
        Integer entity_delete(TemplateRelation entity);


}
